// NMPRegClass.h: interface for the CNMPRegOSClass class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NMPREGCLASS_H__8D80C06A_9FE2_4FD7_AE24_035C3D07300F__INCLUDED_)
#define AFX_NMPREGCLASS_H__8D80C06A_9FE2_4FD7_AE24_035C3D07300F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
enum OsVersion { SINGLE_USER=0,MULTI_USER};

class  AFX_EXT_CLASS CNMPRegOSClass  
{
public:
	void ViewTheOSRegistry(int &Remaining,int &Applied);
	BOOL ViewOSTaskManager();
	BOOL ViewOSRegEdit();
	BOOL ViewOSTrayContextMenu();
	BOOL ViewOSTaskBarSetting();
	BOOL ViewOSShutDown();
	BOOL ViewOSRun();
	BOOL ViewOSNetworkIDDialog();
	BOOL ViewOSNetworkAccess();
	BOOL ViewOSFind();
	BOOL ViewOSChangePassword();
	BOOL ViewOSContralPanel();

	
	CNMPRegOSClass();
	CNMPRegOSClass(CString SID);
	CNMPRegOSClass(BOOL bUser);
	virtual ~CNMPRegOSClass();


	void NMPDisableNetworkIdDialog(BOOL bLock);//2
	void NMPDisableTrayContextmenu(BOOL bLock);//3
	void NMPDisableFind(BOOL bLock);//5
	void NMPDisableRun(BOOL bLock);//6
	void NMPDisableNetworkAccess(BOOL bLock);//8
	void NMPDisableShutDown(BOOL bLock);//10
	void NMPTaskManager(BOOL bLock);//12
	void NMPDisableChangePassword(BOOL bLock);//14
	void NMPRegEdit(BOOL bLock);//15
	void NMPContralPanel(BOOL bLock);//16
	void NMPDisableTaskBarSettingsChange(BOOL bLock);//17
	OsVersion m_OsVersion;
protected:

	CRegKey m_keyLocalKey;
private:
	CRegKey f;
};

class AFX_EXT_CLASS CNMPRegDesktopClass  
{
public:
	void ViewTheDeskRegistry(int &Remaining, int &Applied);
	///this regsitry help to us to see status
	BOOL ViewAppearenceTab();
	BOOL ViewSettingAndPlusTab();
	BOOL ViewScreenSaverTab();
	BOOL ViewDisplayTab();
	BOOL ViewBackGroundTab();
	BOOL ViewDesktopIcons();
	BOOL ViewContextMenu();
	BOOL ViewActiveDesktop();

	void DisableActiveDesktop(BOOL bLock);
	void HideDesktopIcons(BOOL bLock);
	void DisableContextMenu(BOOL bLock);
	void RestrictSettingsAndPlusTab(BOOL bLock);
	void RestrictScreensaverTab(BOOL bLock);
	void RestrictBackGroundTab(BOOL bLock);
	void RestricyAppearenceTab(BOOL bLock);
	void RestrictDisplay(BOOL bLock);
	
	
	CNMPRegDesktopClass();
	CNMPRegDesktopClass(BOOL bUser);
	CNMPRegDesktopClass(CString SID);
	virtual ~CNMPRegDesktopClass();

protected:
	CRegKey m_regDesktop;
	private:
	CRegKey f;
};


class AFX_EXT_CLASS CNMPRegIEClass  
{
public:
	void ViewTheIERegistry(int &Remaining, int &Applied);
	BOOL ViewIESecurityTab();
	BOOL ViewIEProgramsTab();
	BOOL ViewIEPrivacyTab();
	BOOL ViewIEGeneralTab();
	BOOL ViewIEFileSaveAs();
	BOOL ViewIEFileOpen();
	BOOL ViewIEFileNew();
	BOOL ViewIEFavourites();
	BOOL ViewIEContentTab();
	BOOL ViewIEConnectionsTab();
	BOOL ViewIEBrowserOptions();
	BOOL ViewIECertificateManager();
	BOOL ViewIEAdvancedTab();
	BOOL ViewIEAccessibility();
	void DisableConnectionsTab(BOOL bLock);
	void DisablePrivacyTab(BOOL bLock);
	void DisableCertificateManager(BOOL bLock);
	void DisableAdvancedTab(BOOL bLock);
	void DisableProgramsTab(BOOL bLock);
	void DisableContentTab(BOOL bLock);
	void DisableSecurityTab(BOOL bLock);
	void DisableGeneralTab(BOOL bLock);
	void DisableAccessibility(BOOL bLock);
	void DisableFavourites(BOOL bLock);
	void DisableBrowserOptions(BOOL bLock);
	void DisableFileSaveAs(BOOL bLock);
	void DisableFileNew(BOOL bLock);
	void DisableFileOpen(BOOL bLock);

	CNMPRegIEClass();
	CNMPRegIEClass(CString SID);
	CNMPRegIEClass(BOOL bUser);
	virtual ~CNMPRegIEClass();

protected:
	CRegKey m_keyLocalKey;
	private:
	CRegKey f;
};



class AFX_EXT_CLASS CNMPCheckRegistryClass  
{
public:
	int ReturnNoOFInstallProgram();

	/////////////////////
	//StartUP Program
	///////////////////
	void ShowStartUpProgram(CStringArray &a);
	void ShowRunAtCurrentUser(CStringArray &a);
	void ShowRunAtLocalMachine(CStringArray &a);//Show Process At Local machine registry Value
	///////////////////
	//////////////////
	CString ShowCurrentUser();
	void ShowInstallProgram(CStringArray &keyname,CStringArray &DisplayName \
		,CStringArray &UnInstallString);
	CRegKey m_LocalKey;

	CNMPCheckRegistryClass();
	CNMPCheckRegistryClass(CString SID);
	CNMPCheckRegistryClass(BOOL bUser);
	virtual ~CNMPCheckRegistryClass();
	private:
	CRegKey f;

};


class AFX_EXT_CLASS CNMPProxySetting  
{

private:
	CRegKey f;

public:
	//setting the proxy
	void SetProxySetting(BOOL bEnable);
	BOOL SetProxiesOverrides(CString &Proxies);
	BOOL SetProxyServer(CStringArray &Name, CStringArray &IPAddress, CStringArray &Port);
	
	//Getting data
	BOOL GetProxyOverrideStatus(CString &Proxies);
	BOOL GetProxyServerStatus(CStringArray &Name,CStringArray &IPAddress,CStringArray &Port);
	BOOL GetProxySetting();
	CRegKey m_RegKey;
	
	CNMPProxySetting();
	CNMPProxySetting(CString SID);

	virtual ~CNMPProxySetting();

protected:
	void ParseIPandPort(CString Str,CString &IpAddress,CString &Port);
};

#endif // !defined(AFX_NMPREGCLASS_H__8D80C06A_9FE2_4FD7_AE24_035C3D07300F__INCLUDED_)
